using System;

namespace Sync_Ueb04_NestedMonitor
{
    class BlackHole {

        private NotifyingQueue<String> queue = new NotifyingQueue<String>();

        public void Put(String thing) {
            queue.Enqueue(thing);
        }
        public String Get() {
            return queue.Dequeue();
        }
    }
}
